Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154363 - Error editing flags already created with editflagtypes.cgi
Summary: Error editing flags already created with editflagtypes.cgi
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.18
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 06:06 UTC by David Lawrence
Modified: 2013-06-24 02:59 UTC (History)
0 users

Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-14 18:16:23 UTC


Attachments (Terms of Use)

Description David Lawrence 2005-04-11 06:06:14 UTC
Description of problem:
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200] NOTICE:  adding
missing FROM-clause entry for table "flags", referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200] DBD::Pg::st execute
failed: ERROR:  JOIN/ON clause refers to "flags", which is not part of JOIN [for
Statement ", referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]         SELECT
flags.id , referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]         FROM flags,
bugs LEFT OUTER JOIN flaginclusions AS i, referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]         ON
(flags.type_id = i.type_id , referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]             AND
(bugs.product_id = i.product_id OR i.product_id IS NULL), referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]             AND
(bugs.component_id = i.component_id OR i.component_id IS NULL)), referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]         WHERE
flags.type_id = 1 , referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]         AND
flags.bug_id = bugs.bug_id, referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]         AND
flags.is_active = 1, referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]         AND i.type_id
IS NULL, referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]     "] at
Bugzilla/DB.pm line 71, referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200]
!Bugzilla::DB::SendSQL('\x{a}        SELECT flags.id \x{a}        FROM flags,
bugs LEFT OUTER...') called at /var/www/bugzilla/bugzilla/editflagtypes.cgi line
308, referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200] !main::update() called
at /var/www/bugzilla/bugzilla/editflagtypes.cgi line 79, referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1
[Mon Apr 11 02:04:05 2005] [error] [client 172.16.48.200] Premature end of
script headers: editflagtypes.cgi, referer:
https://bugzilla.redhat.com/bugzilla/editflagtypes.cgi?action=edit&id=1


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.